Create an AI Agent in a Project
/ic/api/integration/v1/projects/{projectId}/ai/agents
Request
-
projectId(required): string
Project identifier
-
integrationInstance(required): string
This is the name of the service instance. You can get this value from the About page where it is specified in the Service instance field.
- application/json;charset=utf-8
object-
code: string
AI Agent code
-
created: string
(date-time)
Created
-
createdBy: string
Created By
-
description: string
AI Agent description
-
lastUpdated: string
(date-time)
Last Updated
-
lastUpdatedBy: string
Last Updated By
-
name: string
AI Agent name
-
projectId: string
Project id which agent is part of
-
status: string
AI Agent Status
-
version: string
AI Agent version
object-
dependencies: object
AIAgentResourceDependencyRs
-
description: string
Description
-
endpointURI: string
Endpoint URI used to invoke agent
-
guidelines: string
AI Guidelines
-
role: string
Agent role
Response
- application/json;charset=utf-8, application/vnd.oracle.model+json;type=singular
200 Response
object-
code: string
AI Agent code
-
created: string
(date-time)
Created
-
createdBy: string
Created By
-
description: string
AI Agent description
-
lastUpdated: string
(date-time)
Last Updated
-
lastUpdatedBy: string
Last Updated By
-
name: string
AI Agent name
-
projectId: string
Project id which agent is part of
-
status: string
AI Agent Status
-
version: string
AI Agent version
object-
dependencies: object
AIAgentResourceDependencyRs
-
description: string
Description
-
endpointURI: string
Endpoint URI used to invoke agent
-
guidelines: string
AI Guidelines
-
role: string
Agent role
500 Response
Examples
The following example shows how to create an AI Agent in a project by submitting a POST request on the REST resource using cURL. For more information about cURL, see Use cURL. For more information about endpoint URL structure, see Send Requests.
Example: Create an AI agent ORDER_AGENT in project TEST_PROJECT
This command consumes JSON data and creates an AI Agent under the specified project.
Request:
curl -X POST -H 'Authorization: Bearer access_token' -H "Content-Type:application/json" -d @aiagent.json https://design.integration.region.ocp.oraclecloud.com/ic/api/integration/v1/projects/TEST_PROJECT/ai/agents?integrationInstance=service-instance
Request Body:
The following example shows the contents of the request body in JSON format. This is
the content of the aiagent.json file listed in the cURL command
with the -d option.
{
"name": "ORDER_AGENT",
"code": "ORDER_AGENT",
"version": "01.00.0000",
"description": "AI Agent for order processing",
"dependencies": {
"thinkingPattern": {
"id": "ORDER_PROCESSING_PATTERN|01.00.0000"
}
}
}
Attributes
- name
A human-readable name for the AI Agent.
- code
A unique identifier for the AI Agent within the project.
- version
The version of the AI Agent being created.
- description
A textual description of the AI Agent’s purpose and behavior.
- dependencies
Defines the dependencies required by the AI Agent.
- thinkingPattern
Specifies the Agent Pattern used by the AI Agent to drive its reasoning and behavior.
- id
The identifier of the Agent Pattern in the format patternCode|patternVersion.